List available presentation backgrounds
GET
/api/v1/backgrounds
Authentication
Bearer Token API Key (cookie: better-auth.session_token)
Responses
200
Background catalog grouped by pack
application/jsonpacks
object
REQUIRED
total
number
REQUIRED
502
Upstream background catalog failed
curl -X GET 'https://littledemo.com/api/v1/backgrounds' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/backgrounds', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/backgrounds', headers=headers)print(response.json())
200
Response
{ "packs": "<object>", "total": 123}
API Playground
Try this endpoint
GET
/api/v1/backgrounds